Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QFileOpenEvent Class Reference

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file or a URL. More...

     #include <QFileOpenEvent>

Inherits: QEvent.

- List of all members, including inherited members

## Public Functions

QString | file () const
bool | openFile ( QFile & file, QIODevice::OpenMode flags ) const
QUrl | url () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file or a URL.

File open events will be sent to the QApplication::instance() when the operating system requests that a file or URL should be opened. This is a high-level event that can be caused by different user actions depending on the user's desktop environment; for example, double clicking on an file icon in the Finder on Mac OS X.

This event is only used to notify the application of a request. It may be safely ignored.

Note: This class is currently supported for Mac OS X and Symbian only.

## Member Function Documentation

### QString QFileOpenEvent::file () const

Returns the file that is being opened.

### bool QFileOpenEvent::openFile ( QFile & file, QIODevice::OpenMode flags ) const

Opens a QFile on the file referenced by this event in the mode specified by flags. Returns true if successful; otherwise returns false.

This is necessary as some files cannot be opened by name, but require specific information stored in this event. For example, if this QFileOpenEvent contains a request to open a Symbian data caged file, the QFile could only be opened from the Symbian RFile used in the construction of this event.

This function was introduced in Qt 4.8.

### QUrl QFileOpenEvent::url () const

Returns the url that is being opened.

This function was introduced in Qt 4.6.